# Connecting a wallet

If you're not displaying the top navigation bar you'll need to have you own UI components to let the user connect a wallet, display the connected account, switch to another account, and disconnect. In this page we're describing how to use the CSPR.click library to perform these operations.

## Sign in

When the user clicks on your 'Sign in' or 'Connect wallet' button, call the `signIn()` method to display the wallet selector window:

```tsx
clickRef.signIn()
```

This method returns immediately. Listen to the library events to get a notification of connection.

## Switch account

To let the user to change to another account, call the `switchAccount()` method:

```tsx
clickRef.switchAccount()
```

This method returns immediately. Listen to the library events to get a notification of connection.

## Disconnect

To close the current user session, call the `signOut()` method:

```tsx
clickRef.signOut()
```

This call does not request the connected wallet to disconnect from your application, so next time the user wants to sign in he'll not need to go through the connection step. If you want to disconnect completely the wallet from your app, call the `disconnect()` method:

```tsx
clickRef.disconnect()
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cspr.click/cspr.click-v1.12/cspr.click-sdk/react/connecting-a-wallet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
